# Data for Matt *et al.*, Organic Electronics 2023

This directory contains the (raw) data for the following publication:

 * Clemens Matt, Rukiya Matsidik, Deborah L. Meyer, Mirjam Schröder, Michael Sommer, Till Biskup: Know your building blocks: Time-resolved EPR spectroscopy reveals NDI-T2 and not T-NDI-T to resemble the electronic structure of PNDIT2.
*Organic Electronics* **117**:106790, 2023. [doi:10.1016/j.orgel.2023.106790](https://doi.org/10.1016/j.orgel.2023.106790)


## Organisation

The ``trepr`` directory contains the time-resolved EPR (TREPR) data, the ``uvvis`` the optical absorption (UV/Vis) data.


## Data processing and analysis

Processing of TREPR data has been done with the trEPR toolbox, fitting of spectral simulations to the TREPR data with the Tsim toolbox, using simulation routines from the EasySpin toolbox. All three toolboxes require MATLAB(r).

References:

 * T. Biskup, B. Paulus, D.L. Meyer, trEPR toolbox, *Zenodo*, 2022, [doi:10.5281/zenodo.7395548](https://doi.org/10.5281/zenodo.7395548), URL: [https://www.trepr.de/](https://www.trepr.de/).
 * D.L. Meyer, T. Biskup, Tsim toolbox, *Zenodo*, 2022, [doi:10.5281/zenodo.7395749](https://doi.org/10.5281/zenodo.7395749), URL: [https://tsim.docs.till-biskup.de/](https://tsim.docs.till-biskup.de/).
 * S. Stoll, A. Schweiger, EasySpin, a comprehensive software package for spectral simulation and analysis in EPR, *J. Magn. Reson.* 178 (2006) 42–55.


## License

All files are available under a Creative Commons Attribution 4.0 International license.

